NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.LayoutRepositionBuilder Class Reference

Represents a Tooling::LayoutRepositionBuilder builder More...

Inheritance diagram for NXOpen.Tooling.LayoutRepositionBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Method { Rotate, Transform, PointToPoint }
 Represents the type of layout transform. More...
 
enum  Type { Move, Copy }
 Represents the method of layout transform. More...
 

Public Member Functions

unsafe void AddACavityToCopyCavities (NXOpen.NXObject cavityComponent)
 Adds a cavity to copy cavities More...
 
unsafe void AddACavityToMoveCavities (NXOpen.NXObject cavityComponent)
 Adds a cavity to move cavities More...
 
unsafe void AddCavity (NXOpen.NXObject selectedCavity)
 Generates a new cavity according to the given cavity occ More...
 
unsafe void ClearCopyCavities ()
 Clears all cavities in copy cavities More...
 
unsafe void ClearMoveCavities ()
 Clears all cavities in move cavities More...
 
unsafe void RemoveOperation ()
 Removes components from the current assembly More...
 
unsafe void RepositionMove (int copyOption)
 Transforms cavity with x y distance More...
 
unsafe void RepositionPointToPoint (int copyOption)
 Transforms cavity from point to point More...
 
unsafe void RepositionRotate (int type, int copyOption)
 Rotates cavity More...
 
unsafe void RepositionToOriginal ()
 Reposition to original place More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression DimX [get]
 Returns the distance dimension in X-axis More...
 
unsafe NXOpen.Expression DimY [get]
 Returns the distance dimension in Y-axis More...
 
unsafe NXOpen.Point PointFrom [get, set]
 Returns or sets the transform start point More...
 
unsafe NXOpen.Point PointTo [get, set]
 Returns or sets the transform end point More...
 
unsafe
NXOpen.Tooling.LayoutRepositionBuilder.Method 
RepositionMethod [get, set]
 Returns or sets the reposition method More...
 
unsafe
NXOpen.Tooling.LayoutRepositionBuilder.Type 
RepositionType [get, set]
 Returns or sets the reposition type More...
 
unsafe NXOpen.Expression RotateAngle [get]
 Returns the rotate angle More...
 
unsafe NXOpen.Point RotatePoint [get, set]
 Returns or sets the rotate point More...
 
unsafe NXOpen.SelectNXObjectList SelectInstance [get]
 Returns the select instance More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Tooling::LayoutRepositionBuilder builder

To create a new instance of this class, use NXOpen.Tooling.MWLayoutCollection.CreateLayoutRepositionBuilder

Default values.

Property Value

DimX.Value

0 (millimeters part), 0 (inches part)

DimY.Value

0 (millimeters part), 0 (inches part)

RepositionType

Move

RotateAngle.Value

180

Created in NX6.0.0

Member Enumeration Documentation

Represents the type of layout transform.

Enumerator
Rotate 

Rotate method

Transform 

Transform method

PointToPoint 

Point to Point method

Represents the method of layout transform.

Enumerator
Move 

Move type

Copy 

Copy type

Member Function Documentation

unsafe void NXOpen.Tooling.LayoutRepositionBuilder.AddACavityToCopyCavities ( NXOpen.NXObject  cavityComponent)
inline

Adds a cavity to copy cavities

Created in NX1872.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
cavityComponent
unsafe void NXOpen.Tooling.LayoutRepositionBuilder.AddACavityToMoveCavities ( NXOpen.NXObject  cavityComponent)
inline

Adds a cavity to move cavities

Created in NX1872.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
cavityComponent
unsafe void NXOpen.Tooling.LayoutRepositionBuilder.AddCavity ( NXOpen.NXObject  selectedCavity)
inline

Generates a new cavity according to the given cavity occ

Created in NX1872.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
selectedCavity
unsafe void NXOpen.Tooling.LayoutRepositionBuilder.ClearCopyCavities ( )
inline

Clears all cavities in copy cavities

Created in NX1872.0.0

License requirements: ug_mold_design ("UG MOLD")

unsafe void NXOpen.Tooling.LayoutRepositionBuilder.ClearMoveCavities ( )
inline

Clears all cavities in move cavities

Created in NX1872.0.0

License requirements: ug_mold_design ("UG MOLD")

unsafe void NXOpen.Tooling.LayoutRepositionBuilder.RemoveOperation ( )
inline

Removes components from the current assembly

Created in NX1872.0.0

License requirements: ug_mold_design ("UG MOLD")

unsafe void NXOpen.Tooling.LayoutRepositionBuilder.RepositionMove ( int  copyOption)
inline

Transforms cavity with x y distance

Created in NX1872.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
copyOption
unsafe void NXOpen.Tooling.LayoutRepositionBuilder.RepositionPointToPoint ( int  copyOption)
inline

Transforms cavity from point to point

Created in NX1872.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
copyOption
unsafe void NXOpen.Tooling.LayoutRepositionBuilder.RepositionRotate ( int  type,
int  copyOption 
)
inline

Rotates cavity

Created in NX1872.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
type
copyOption
unsafe void NXOpen.Tooling.LayoutRepositionBuilder.RepositionToOriginal ( )
inline

Reposition to original place

Created in NX6.0.0

License requirements: ug_mold_design ("UG MOLD")

Property Documentation

unsafe NXOpen.Expression NXOpen.Tooling.LayoutRepositionBuilder.DimX
get

Returns the distance dimension in X-axis

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.LayoutRepositionBuilder.DimY
get

Returns the distance dimension in Y-axis

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Tooling.LayoutRepositionBuilder.PointFrom
getset

Returns or sets the transform start point

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Point NXOpen.Tooling.LayoutRepositionBuilder.PointTo
getset

Returns or sets the transform end point

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Tooling.LayoutRepositionBuilder.Method NXOpen.Tooling.LayoutRepositionBuilder.RepositionMethod
getset

Returns or sets the reposition method

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Tooling.LayoutRepositionBuilder.Type NXOpen.Tooling.LayoutRepositionBuilder.RepositionType
getset

Returns or sets the reposition type

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Tooling.LayoutRepositionBuilder.RotateAngle
get

Returns the rotate angle

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Tooling.LayoutRepositionBuilder.RotatePoint
getset

Returns or sets the rotate point

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectNXObjectList NXOpen.Tooling.LayoutRepositionBuilder.SelectInstance
get

Returns the select instance

Created in NX6.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.